from abc import ABC, abstractmethod
from typing import Optional

from py_to_uxf_core.model.python_function import PythonFunction


class FunctionScannerABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def scan_line_for_function(self, line: str) -> Optional[PythonFunction]: pass
