class PythonFunctionArgument:

    def __init__(self, name: str, type: str):
        self._name = name
        self._type = type

    @property
    def name(self) -> str:
        return self._name

    @property
    def type(self) -> str:
        return self._type

    def __str__(self):
        return f'{self._name}: {self._type}'

    def __repr__(self):
        return f'{self._name}: {self._type}'
